Bug 1647592 - EPEL7 - ruby-qpid-qmf won't install on RHEL 7.6
Summary: EPEL7 - ruby-qpid-qmf won't install on RHEL 7.6
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: qpid-qmf
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Irina Boverman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EPEL7FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2018-11-07 20:42 UTC by Troy Dawson
Modified: 2018-11-28 17:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 17:52:33 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Troy Dawson 2018-11-07 20:42:32 UTC
Current ruby-qpid-qmf for EPEL7 (ruby-qpid-qmf-1.35.0-1.el7) requires
  qpid-qmf(x86-64) = 0:1.35.0-1.el7
The problem is that in EPEL7 qpid-cpp also contains a package called qpid-qmf and it provides 
  qpid-qmf(x86-64) = 1.38.0-2.el7

Please fix this package so that it can be installed in RHEL 7.6.
If you have not responded in a week, we will have a proven packager fix it.
If you know you will not be able to get to it and would like it fixed sooner, please let us know in this bug.
If you feel this package should no longer be in EPEL7, please let us know in this bug.

Comment 1 Troy Dawson 2018-11-07 20:46:36 UTC
If this were my package, I would remove the whole qpid-qmf in favor of qpid-cpp.  In Fedora qpid-qmf has gone away and only qpid-cpp is still around.

Comment 2 Troy Dawson 2018-11-19 18:02:21 UTC
I have gone through all the sub-packages of qpid-qmf.  Either nothing depends on the packages, or the they are provided in a newer version with qpid-cpp.

I will run qpid-qmf through the steps to remove from EPEL7.

Comment 3 Troy Dawson 2018-11-28 17:52:33 UTC
Package retired with
fedpkg retire "Replaced by qpid-cpp.  Retiring to prevent package conflict."


Note You need to log in before you can comment on or make changes to this bug.